org.apache.cassandra.streaming

## Class StreamException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.cassandra.streaming.StreamException

- All Implemented Interfaces:
    java.io.Serializable

      public class StreamException
      extends java.lang.Exception

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `StreamState` | `finalState`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamException(StreamState finalState, java.lang.String message)`
    `StreamException(StreamState finalState, java.lang.String message, java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### finalState

          public final StreamState finalState

  - ### Constructor Detail

    - #### StreamException

          public StreamException(StreamState finalState,
                                 java.lang.String message)

    - #### StreamException

          public StreamException(StreamState finalState,
                                 java.lang.String message,
                                 java.lang.Throwable cause)

Copyright © 2018 The Apache Software Foundation